.aside {
  display: flex;
  flex-direction: column;

  width: 100vw;
  max-width: 28.75rem;
  height: 100vh;
  max-height: 64rem;
  min-height: 45rem;

  padding: 1.125rem 0;
  padding-bottom: 3.25rem;

  background-color: var(--second-background-color);

  font-family: var(--text-font);
  color: var(--second-text-color);

  &__buttons {
    display: flex;
    justify-content: space-between;
    padding: 0 0.6875rem;
    &__button {
      width: fit-content;
      padding: 0.6875rem 1.125rem;

      background-color: var(--second-color);

      color: var(--text-color);
    }
  }

  &__images {
    margin-bottom: -1rem;
    position: relative;

    img {
      position: absolute;
      z-index: 1;

      width: auto;
      height: 10rem;

      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }

    &__clouds {
      display: grid;
      grid-template-rows: 1fr 1fr;
      grid-template-columns: 1fr 1fr;

      height: 20.375rem;
      overflow: hidden;
      z-index: -1;

      fill: #292c44;

      * {
        animation: bounce 2s ease-in-out infinite alternate;

        @keyframes bounce {
          0% {
            transform: translateY(+3px);
          }
          100% {
            transform: translateY(-3px);
          }
        }
      }

      :nth-child(odd) {
        width: auto;
        height: 9.375rem;
      }
      :nth-child(even) {
        justify-self: end;
      }
      :nth-child(2) {
        width: auto;
        height: 9.375rem;
        animation-delay: 1.5s;
      }
      :nth-child(3) {
        animation-delay: 2s;
      }
      :nth-child(4) {
        width: auto;
        height: 7.75rem;
        align-self: end;
        animation-delay: 1s;
      }
    }
  }
  &__informations {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 1;

    &__temperature {
      display: flex;
      justify-content: center;
      align-items: baseline;

      font-weight: 500;
      font-size: 9rem;
      line-height: 10.5rem;
      color: var(--text-color);
      span {
        font-size: 3rem;
        color: var(--second-text-color);
      }
    }

    &__condition {
      display: flex;
      justify-content: center;
      font-weight: 600;
      font-size: 2.25rem;
    }
    &__footer {
      display: flex;
      flex-direction: column;
      row-gap: 2.125rem;

      &__date {
        display: flex;
        justify-content: center;
        display: flex;
        column-gap: 1rem;
      }
      &__location {
        display: flex;
        justify-content: center;
        align-items: center;
        column-gap: 0.5625rem;
      }
    }
  }
}
